Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.anim.timing
Class EventbaseTimingSpecifier

    java.lang.Object
      org.apache.batik.anim.timing.TimingSpecifier
          org.apache.batik.anim.timing.OffsetTimingSpecifier
              org.apache.batik.anim.timing.EventLikeTimingSpecifier
                  org.apache.batik.anim.timing.EventbaseTimingSpecifier

All Implemented Interfaces:
  EventListener

Direct Known Subclasses:
  RepeatTimingSpecifier

    public class EventbaseTimingSpecifier

extends EventLikeTimingSpecifier
implements EventListener

A class to handle eventbase SMIL timing specifiers.

Field Summary
`protected TimedElement` | `eventbase` The eventbase element.
`protected String` | `eventbaseID` The ID of the eventbase element.
`protected String` | `eventName` The animation name of the event to sync to.
`protected String` | `eventNamespaceURI` The namespace URI of the event to sync to.
`protected EventTarget` | `eventTarget` The eventbase element as an `EventTarget`.
`protected String` | `eventType` The type of the event to sync to.

Fields inherited from class org.apache.batik.anim.timing.OffsetTimingSpecifier
`offset`

Fields inherited from class org.apache.batik.anim.timing.TimingSpecifier
`isBegin, owner`

Constructor Summary
`EventbaseTimingSpecifier(TimedElement owner, boolean isBegin, float offset, String eventbaseID, String eventName)` Creates a new EventbaseTimingSpecifier object.

Method Summary
`void` | `deinitialize()` Deinitializes this timing specifier by removing any event listeners.
`void` | `handleEvent(Event e)` Handles an event fired on the eventbase element.
`void` | `initialize()` Initializes this timing specifier by adding the initial instance time to the owner's instance time list or setting up any event listeners.
`void` | `resolve(Event e)` Invoked to resolve an event-like timing specifier into an instance time.
`String` | `toString()` Returns a string representation of this timing specifier.

Methods inherited from class org.apache.batik.anim.timing.EventLikeTimingSpecifier
`isEventCondition`

Methods inherited from class org.apache.batik.anim.timing.TimingSpecifier
`getOwner, isBegin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### eventbaseID

    protected String eventbaseID

  The ID of the eventbase element.

### eventbase

    protected TimedElement eventbase

  The eventbase element.

### eventTarget

    protected EventTarget eventTarget

  The eventbase element as an `EventTarget`.

### eventNamespaceURI

    protected String eventNamespaceURI

  The namespace URI of the event to sync to.

### eventType

    protected String eventType

  The type of the event to sync to.

### eventName

    protected String eventName

  The animation name of the event to sync to.

Constructor Detail

### EventbaseTimingSpecifier

    public EventbaseTimingSpecifier(TimedElement owner,
                                    boolean isBegin,
                                    float offset,
                                    String eventbaseID,
                                    String eventName)

  Creates a new EventbaseTimingSpecifier object.

Method Detail

### toString

    public String toString()

  Returns a string representation of this timing specifier.

  Overrides:
    `toString` in class `OffsetTimingSpecifier`

### initialize

    public void initialize()

  Initializes this timing specifier by adding the initial instance time to the owner's instance time list or setting up any event listeners.

  Overrides:
    `initialize` in class `OffsetTimingSpecifier`

### deinitialize

    public void deinitialize()

  Deinitializes this timing specifier by removing any event listeners.

  Overrides:
    `deinitialize` in class `TimingSpecifier`

### handleEvent

    public void handleEvent(Event e)

  Handles an event fired on the eventbase element.

  Specified by:
    `handleEvent` in interface `EventListener`
  Parameters:
    `e` - The `Event` contains contextual information about the event.

### resolve

    public void resolve(Event e)

  Invoked to resolve an event-like timing specifier into an instance time.

  Specified by:
    `resolve` in class `EventLikeTimingSpecifier`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.